/*****************************************************************************/
/*                                                                           */
/*    -----------------------------------------------                        */
/*    df_snl.h  -  Includefile fuer df_snl Board-Treiber                         */
/*    unter UNIX386 System V/386 Release 3.2  fuer                           */
/*    AT386 oder Compatible                                                  */
/*    Version 1.0                                                            */
/*    -----------------------------------------------                        */
/*                                                                           */
/*    ---------------------------------                                      */
/*    COMSOFT  GmbH                                                          */
/*    Wachhausstr. 5a                                                        */
/*    7500 Karlsruhe 41                                                      */
/*    Tel.  0721 / 40908-0 ( Zentrale )                                      */
/*    ---------------------------------                                      */
/*                                                                           */
/*    ------------------------------------                                   */
/*    Datum : 17.09.1990  Weber, Wolfgang                                    */
/*    ------------------------------------                                   */
/*                                                                           */
/*    ------------------------------------------------------------           */
/*    Geaendert : 19.07.1991        Name : Weber, Wolfgang                   */
/*    Grund     : Allgemeingueltigkeit fuer alle df_snl-Boardtreiber           */
/*    ------------------------------------------------------------           */
/*    Geaendert : 08.01.1992        Name : Weber, Wolfgang                   */
/*    Grund     : Terminal-Anschluss ( line-discipline )                     */
/*    ------------------------------------------------------------           */
/*    Geaendert : 13.03.1996        Name : Weber, Wolfgang                   */
/*    Grund     : Zusammenlegung HPUX und andere UNIX                        */
/*    ------------------------------------------------------------           */
/*                                                                           */
/*****************************************************************************/



char     *df_prnet_version  = "Linux V0.0.1 10/13/14";     /*   Ab Kernel 2.6.32 includes IOCTL cmd angepasst 64Bit/32Bit */

#define BUILD_VERSION_STR     "Driver built on " __DATE__ " at " __TIME__
char *df_prnet_build_version = BUILD_VERSION_STR;

#define vremap(a,b) ioremap((a),(b))

#define DF_PRINT printk
#define MAX_BAUGRUPPE   5
#define  FALSE          0

#ifndef TRUE
  #define  TRUE         1
#endif
#define  NOT_INIT         1

#define PCI_VENDOR_ID_COMSOFT        0x10b5
#define PCI_DEVICE_ID_COMSOFT        0x281A

// WWe 14.10.03   DF Profi II
#define PLX_9054_INTREQ                0x00002000L
#define PLX_9054_SOFTRES               0x40000000L /* Soft-Reset              Bit 30 */
#define PLX_9054_RELOAD_CONF           0x20000000L
#define PLX_9054_INT_ENABLE            0x00000100L
#define PLX_9054_DOOR_ENABLE           0x00000200L
#define PLX_9054_LOCAL_ENABLE          0x00010000L
#define PLX_9054_LOINP_ENABLE          0x00020000L
#define PLX_9054_FLUSH_ENABLE          0x10000000L
#define PLX_9054_DELAYED_READ_ENABLE   0x01000000L
#define PLX_9054_RD_NO_WR_ENABLE       0x02000000L
#define PLX_9054_PREF_ENABLE           0x00000100L
#define PLX_9054_PREF_COUNT_ENABLE     0x00000400L
#define PLX_9054_USERO_RESET           0x00010000L

// WWe 14.10.03    DF Profi II
#define PLX_9054_MBOX0         0x40
#define PLX_9054_P2LDBELL_REG  0x60
#define PLX_9054_L2PDBELL_REG  0x64
#define PLX_9054_INTCSR_REG    0x68
#define PLX_9054_CNTRL_REG     0x6C
#define PLX_9054_MARBR_REG     0x08
#define PLX_9054_LBRD0_REG     0x18




#define  DEV_P  ((int)((int)(minor((dev_t)dev)) & (int)0x0ff)-1)
#define  DEV    ((int)((int)(minor((dev_t)dev)) & (int)0x0ff)-1)
#define  SS_NR  1

#define E_100           -100
#define E_101           -101
#define E_102           -102
#define E_103           -103
#define E_104           -104
#define E_105           -105
#define E_106           -106
#define E_107           -107
#define E_108           -108
#define E_109           -109
#define E_110           -110
#define E_111           -111
#define E_112           -112
#define E_113           -113
#define E_114           -114
#define E_120           -120
#define E_121           -121
#define E_122           -122
#define E_123           -123
#define E_124           -124
#define E_125           -125
#define E_126           -126
#define E_127           -127
#define E_130           -130
#define E_131           -131
#define E_132           -132
#define E_140           -140
#define E_141           -141
#define E_150           -150
